| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference

Inner helper class to implement the visitor pattern for rendering objects in a queue. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::SceneMgrQueuedRenderableVisitor:
[legend]

## Public Member Functions
| SceneMgrQueuedRenderableVisitor ()
| ~SceneMgrQueuedRenderableVisitor ()
void | visit (const Pass *p, RenderableList &rs)
| When visiting a collection grouped by pass, this is called. More...
void | visit (RenderablePass *rp)
| Called when visiting a RenderablePass, i.e. More...

## Public Attributes
bool | autoLights
| Automatic light handling? More...
const LightList * | manualLightList
| Manual light list. More...
bool | scissoring
| Scissoring if requested? More...
SceneManager * | targetSceneMgr
| Target SM to send renderables to. More...
bool | transparentShadowCastersMode
| Are we in transparent shadow caster mode? More...

## Detailed Description

Inner helper class to implement the visitor pattern for rendering objects in a queue.

## Constructor & Destructor Documentation

## ◆ SceneMgrQueuedRenderableVisitor()

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor | ( |  | ) |
| inline

## ◆ ~SceneMgrQueuedRenderableVisitor()

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ visit() [1/2]

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | const Pass * | p,
|  | RenderableList & | rs
| ) |  |
| virtual

When visiting a collection grouped by pass, this is called.

Remarks
  If this method is called, the RenderablePass visit method will not be called for this collection.

Implements Ogre::QueuedRenderableVisitor.

## ◆ visit() [2/2]

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | RenderablePass * | rp | ) |
| virtual

Called when visiting a RenderablePass, i.e.

items in a sorted collection where items are not grouped by pass.

Remarks
  If this is called, the other visit method will not be called.

Implements Ogre::QueuedRenderableVisitor.

## Member Data Documentation

## ◆ targetSceneMgr

SceneManager* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr

Target SM to send renderables to.

## ◆ transparentShadowCastersMode

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode

Are we in transparent shadow caster mode?

## ◆ autoLights

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights

Automatic light handling?

## ◆ manualLightList

const LightList* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList

Manual light list.

## ◆ scissoring

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::scissoring

Scissoring if requested?

The documentation for this class was generated from the following file:

- OgreSceneManager.h